# Initiator
**Inherits:** [RefCounted](https://docs.godotengine.org/de/4.x/classes/class_refcounted.html)
    
## Description

Defines what triggered a EventPointer

## Properties

| Name               | Type                                                                    | Default |
| ------------------ | ----------------------------------------------------------------------- | ------- |
| [node](#prop-node) | [Node3D](https://docs.godotengine.org/de/4.x/classes/class_node3d.html) |         |
| [type](#prop-type) | [int](https://docs.godotengine.org/de/4.x/classes/class_int.html)       |         |

## Methods

| Returns                                                             | Name                       |
| ------------------------------------------------------------------- | -------------------------- |
| [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) | [is_right](#is-right) (  ) |

## Signals

### on_press (type: [int](https://docs.godotengine.org/de/4.x/classes/class_int.html)  ) {#on-press}

No description provided yet.

### on_release (type: [int](https://docs.godotengine.org/de/4.x/classes/class_int.html)  ) {#on-release}

No description provided yet.

## Enums

### enum Type

#### Type.CONTROLLER_LEFT = `0` {#const-CONTROLLER-LEFT}

No description provided yet.

#### Type.CONTROLLER_RIGHT = `1` {#const-CONTROLLER-RIGHT}

No description provided yet.

#### Type.HAND_LEFT = `2` {#const-HAND-LEFT}

No description provided yet.

#### Type.HAND_RIGHT = `3` {#const-HAND-RIGHT}

No description provided yet.

### enum EventType

#### EventType.GRIP = `0` {#const-GRIP}

No description provided yet.

#### EventType.TRIGGER = `1` {#const-TRIGGER}

No description provided yet.



## Property Descriptions

### node: [Node3D](https://docs.godotengine.org/de/4.x/classes/class_node3d.html) {#prop-node}

No description provided yet.

### type: [int](https://docs.godotengine.org/de/4.x/classes/class_int.html) {#prop-type}

No description provided yet.

## Method Descriptions

###  is_right ( ) -> [bool](https://docs.godotengine.org/de/4.x/classes/class_bool.html) {#is-right}

No description provided yet.
